package org.example.designpatterns.command.commands;

import java.util.ArrayList;
import java.util.List;

public class Invoker {

    private List<IOperation> operations = new ArrayList<>();

    public void recibirOperacion(IOperation operation) {
        this.operations.add(operation);
    }

    public void realizarOperaciones() {
        this.operations.forEach(IOperation::execute);
        this.operations.clear();
    }
}
