package org.example.designpatterns.dao.dao;

import org.example.designpatterns.dao.model.Persona;

import java.util.ArrayList;
import java.util.List;

public class PersonaDAOImpl implements IPersonaDAO{
    @Override
    public List<Persona> listarTodos() {
        List<Persona> lista = new ArrayList<>();
        Persona per = new Persona();
        per.setId(1);
        per.setNombres("Josue Ponte");
        lista.add(per);

        per = new Persona();
        per.setId(2);
        per.setNombres("Daniel Rojas");
        lista.add(per);

        return lista;
    }

    @Override
    public Persona leerPorId(int id) {
        return null;
    }

    @Override
    public void registrar(Persona persona) {
        System.out.println("Persona " + persona.getNombres() + " registrada");
    }

    @Override
    public void actualizar(Persona persona) {
        System.out.println("Persona " + persona.getNombres() + " actualizada");
    }

    @Override
    public void eliminar(int id) {
        System.out.println("id " + id + " eliminado");
    }

    @Override
    public void mostrarNombre(Persona per) {
        System.out.println("Los nombres de la persona son : " + per.getNombres());
    }
}
