package org.example.designpatterns.dependencyinjection.dao;

import java.util.List;

public interface ICRUD<T> {

    List<T> listarTodos();
    T leerPorId(int id);
    void registrar(T persona);
    void actualizar(T persona);
    void eliminar(int id);
}
