package org.example.designpatterns.observer;

import org.example.designpatterns.observer.observer.PesoARGObserver;
import org.example.designpatterns.observer.observer.PesoMXOberserver;
import org.example.designpatterns.observer.observer.SolObserver;
import org.example.designpatterns.observer.observer.Subject;

public class App {

    public static void main(String[] args) {
        Subject subject = new Subject();

        new SolObserver(subject);
        new PesoARGObserver(subject);
        new PesoMXOberserver(subject);

        System.out.println("Si desea cambiar 10 dólares obtendrá: ");
        subject.setEstado(10);
        System.out.println("-------------------");
        System.out.println("Si desea cambia 100 dlares obtendrá: ");
        subject.setEstado(100);
    }
}
