package org.example.designpatterns.observer.observer;

public class PesoMXOberserver extends Observer{
    private double valorCambio = 19.07;

    public PesoMXOberserver(Subject subject) {
        this.subject = subject;
        this.subject.agregar(this);
    }

    @Override
    public void actualizar() {
        System.out.println("MX: " + (subject.getEstado() * valorCambio));
    }
}
