package org.example.designpatterns.dao.dao;

import org.example.designpatterns.dao.model.Medico;
import org.example.designpatterns.dao.model.Persona;

import java.util.ArrayList;
import java.util.List;

public class MedicoDAOImpl implements IMedicoDAO{
    @Override
    public List<Medico> listarTodos() {
        List<Medico> lista = new ArrayList<>();
        Medico medico = new Medico();
        medico.setId(1);
        medico.setNombres("Josue Ponte");
        lista.add(medico);

        medico = new Medico();
        medico.setId(2);
        medico.setNombres("Daniel Rojas");
        lista.add(medico);

        return lista;
    }

    @Override
    public Medico leerPorId(int id) {
        return null;
    }

    @Override
    public void registrar(Medico medico) {
        System.out.println("Persona " + medico.getNombres() + " registrada");
    }

    @Override
    public void actualizar(Medico medico) {
        System.out.println("Medico " + medico.getNombres() + " actualizada");
    }

    @Override
    public void eliminar(int id) {
        System.out.println("id " + id + " eliminado");
    }

    @Override
    public void curar() {
        System.out.println("Medico esta curando....");
    }
}
