package org.example.designpatterns.dependencyinjection;

import org.example.designpatterns.dependencyinjection.dao.*;

public class App {
    public static void main(String[] args) {
        IConnection cx1 = new ConnectionMySQL("jponte", "7482", "localhost");
        IConnection cx2 = new ConnectionPostgreSQL("jponte", "7482", "192.168.1.1");

        IPersonaDAO dao1 = new PersonaDAOImpl();
        dao1.setConnection(cx1);
        dao1.listarTodos();

        IPersonaDAO dao2= new PersonaDAOImpl();
        dao2.setConnection(cx2);
        dao2.listarTodos();
    }
}
