package org.example.designpatterns.dependencyinjection.dao;

import org.example.designpatterns.dependencyinjection.model.Persona;

import java.util.List;

public class PersonaDAOImpl implements IPersonaDAO {

    private IConnection connection;

    /*public PersonaDAOImpl(IConnection connection) {
        this.connection = connection;
    }*/

    public void setConnection(IConnection connection) {
        this.connection = connection;
    }

    @Override
    public List<Persona> listarTodos() {
        this.connection.conectar();
        System.out.println("Listando.....");

        return null;
    }

    @Override
    public Persona leerPorId(int id) {
        return null;
    }

    @Override
    public void registrar(Persona persona) {
        System.out.println("Persona " + persona.getNombres() + " registrada");
    }

    @Override
    public void actualizar(Persona persona) {
        System.out.println("Persona " + persona.getNombres() + " actualizada");
    }

    @Override
    public void eliminar(int id) {
        System.out.println("id " + id + " eliminado");
    }

    @Override
    public void mostrarNombre(Persona per) {
        System.out.println("Los nombres de la persona son : " + per.getNombres());
    }
}
