package org.example.designpatterns.factory;

import org.example.designpatterns.factory.interfaces.FactoryAbstract;

public class FactoryProduct {

    public static FactoryAbstract getFactory(String factory) {
        if (factory.equalsIgnoreCase("BD"))
            return new ConnectionBDFactory();
        else if(factory.equalsIgnoreCase("REST"))
            return new ConnectionRESTFactory();
        return null;
    }
}
