package org.example.designpatterns.observer.observer;

public class PesoARGObserver extends Observer{
    private double valorCambio = 29.86;

    public PesoARGObserver(Subject subject) {
        this.subject = subject;
        this.subject.agregar(this);
    }

    @Override
    public void actualizar() {
        System.out.println("ARG: " + (subject.getEstado() * valorCambio));
    }
}
