package org.example.designpatterns.observer.observer;

public class SolObserver extends Observer{

    private double valorCambio = 3.75;

    public SolObserver(Subject subject) {
        this.subject = subject;
        this.subject.agregar(this);
    }

    @Override
    public void actualizar() {
        System.out.println("PEN: " + (subject.getEstado() * valorCambio));
    }
}
