package org.example.designpatterns.singleton;

import org.example.designpatterns.singleton.model.Connection;

public class App {

    public static void main(String[] args) {
        // Instanciación por constructor prohíbido por ser "private"
        // Connection c = new Connection();
        Connection c = Connection.getInstancia();
        c.conectar();
        c.desconectar();

        boolean rpta = c instanceof Connection;
        System.out.println(rpta);


        // Spring Framework gestiona sus beans como Singleton por defecto
    }
}
